package com.wuban.tron.explore.entity;

import lombok.AccessLevel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.Date;

/**
 * solidity版本号
 * @author sky
 * @date 2020-12-01
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor(access = AccessLevel.PRIVATE)
public class SolidityVersion {
		/**
     * 
     */
	 private Long id; 
		/**
     * 
     */
	 private String version; 
		
	public static SolidityVersion getInstance() {
	return SolidityVersion.builder()
		       .id(0L)
		       .version("") 
		       .build();
	}
}